swagger: "2.0"

info:
  version: 10.1.2
  title: Obter cidade e estado
  description: "Retorna informações de cidade e estado passado por parâmetro"
  contact:
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

paths:
  /get-city-and-state:
    post:
      description: "Retorna informações de cidade e estado passado por parâmetro"
      deprecated: false
tags:
  - name: "BPM - Fonte de dados"

definitions:
  bodyData:
    type: object
    required:
      - state
    properties:
      state:
        type: string
        description: "Estado"
      city:
        type: string
        description: "Cidade"
  outputData:
    type: object
    required:
      - nome
      - microrregiao
      - mesorregiao
      - regiaoImediata
      - regiaoIntermediaria
      - estadoId
    properties:
      nome:
        type: string
        description: "Nome da cidade"
      microrregiao:
        type: string
        description: "Microrregião"
      mesorregiao:
        type: string
        description: "Mesorregião"
      regiaoImediata:
        type: string
        description: "Região imediata"
      regiaoIntermediaria:
        type: string
        description: "Região intermediária"
      estadoId:
        type: integer
        description: "ID do estado"
